LINUX.ORG.RU

1
Всего сообщений: 195

Драйвер для видеокарты NVIDIA

Всем привет. Я не могу пользоваться линухом больше 10 минут. Любым линухом. Дело в том что у меня видеокарта nvidia(gtx 550 ti). Я пытался поставить драйвера на множество дистрибутивов, но каждый раз ничего не удавалось. То я вообще не мог запустить драйвер. То я его успешно ставил, но после перезагрузки разрешение менялось, без возможности восстановить настройки. Сейчас пытаюсь поставить драйвер на elementary os. Прошу помочь, пожалуйста

 ,

ECHO ()

Как настроить для печати принтер Canon MF3010 в Debian?

Как настроить для печати принтер Canon MF3010 в Debian подключенный по USB кабелю? Хотелось бы сделать это все без проприетарных драйверов, если это возможно. Сканер работает без проблем, а вот напечатать ничего не могу. Помогите кто может.

 , , ,

MRX256 ()

Не работает тачпад на arch linux

Здравствуйте! Столкнулся с такой проблемой. У меня на ноуте (asus) стоит арч линукс. Я скачал xf86-input-synaptics и настроил файл 70-synaptics.conf:

Section "InputClass"
        Identifier "touchpad"
        Driver "synaptics"
        MatchIsTouchpad "on"
        MatchDevicePath "/dev/input/event17"
        
		Option "TapButton1" "1"
        Option "TapButton2" "2"
        Option "TapButton3" "3"
        Option "VertTwoFingerScroll" "on"
        Option "HorizTwoFingerScroll" "on"
        Option "CircularScrolling" "on"
        Option "CircScrollTrigger" "2"
        Option "EmulateTwoFingerMinZ" "40"
        Option "EmulateTwoFingerMinW" "8"
        Option "CoastingSpeed" "0"
        Option "FingerLow" "35"
        Option "FingerHigh" "40"
EndSection

Все работает, кроме скроллинга мыши. Точнее, мышь двигаетсяи изредко и местами. Пожалуйста, помогите понять что не так!

 , , , ,

nikuro ()

Brother и 64-х битный Linux

https://www.brother.co.uk/support/dcp-j572dw/faqs/how-to-trouble-shooting/faq...

Для Ъ:

Can I use my Brother printer with a 64 bit Linux distribution? (Linux)

You can use the 32 bit version of a Brother printer driver with 64 bit Linux distributions. To install the driver:

For RPM-based distributions

If your distribution does not have a 32 bit library as standard, install it. (For example, install glibc.i686 or libstdc++.i686 for Fedora 10 or later.)

  • nss-softokn-freebl.i686 is a dependency and is also required.
  • Install the LPD/LPRng driver and the CUPS driver.
  • If the /usr/lib64 directory exists, check whether the «br (printer name) filter» file exists under /usr/lib64/cups/filter. If not, copy it from the /usr/lib/cups/filter directory.
  • Set up the printer using "http://localhost:631/printers".

For DEB-based distributions

  • If your distribution does not have a 32 bit library as standard, install it. (For example, install lib32stdc++6 for Debian, ia32-libs or lib32z1 for Ubuntu.)
  • Install the LPD/LPRng driver and the CUPS driver using the --force-architecture option.
  • If the /usr/lib64 directory exists, check whether the «br (printer name) filter» file exists under /usr/lib64/cups/filter. If not, copy it from the /usr/lib/cups/filter directory.
  • Set up the printer using "http://localhost:631/printers".

Сами драйверы, только i386: https://download.brother.com/welcome/dlf103778/dcpj572dwpdrv-1.0.5-0.i386.rpm https://download.brother.com/welcome/dlf103777/dcpj572dwpdrv-1.0.5-0.i386.deb

До сих пор считал Brother нормальным производителем и тут такая лажа. При этом под Windows они распространяют и 32-х и 64-х битные версии драйверов этого же принтера.

 , , ,

hummer ()

Автоматическая перекомпиляция драйвера

Здравствуйте! Имеется драйвер, который нужно компилировать под конкретное ядро. То есть: если прилетает обновление ядра, нужно перекомпилировать и переустановить драйвер. Можно ли это дело нормально автоматизировать? На ум приходит только всунуть в крон скрипт, который будет следить за версией драйвера. Но тогда юзеру придётся смириться с тем, что с каждым обновлением ядра оборудование будет отваливаться, пока скрипт не перекомпилирует драйвер по крону. Система — OpenSUSE.

 ,

fingolfin ()

Как поставить драйвер на принтер LBP6020B в Solus?

Здравствуйте! Недавно начал пользоваться дистрибутивом Solus, и он довольно хороший :) Как можно поставить на него драйвер для принтера LBP6020B? На ubuntu был простой скрипт, но там пакетный менеджер apt. Что можно сделать в Solus?

 , , , ,

BlackCatDev ()

Драйвера для W5500

Здравствуйте! Подскажите, пожалуйста, где можно найти драйвера на W5500 под Debian GNU/Linux 10 (PocketBeagle)? Пытаюсь связать ETH-WIZ-Click и PocketBeagle.

 

jockerface ()

Не устанавливается драйвер графики Intel.

Всем доброго времени суток.

Имеется ПК с Centos7, настроенный когда-то и кем-то. Нужно собрать ffmpeg с поддержкой Intel QuickSync. Для тестов я взял другой комп, накатил туда Centos7 минимальную, по мануалу установил драйвера для графики и собрал ffmpeg, запустил, протестил - всё ок.

Когда я взялся за рабочий комп, чтобы повторить все те же действия, то столкнулся с проблемой при установке драйвера Intel: после установки одного из пакетов требуется ребут, после чего создаётся /dev/dri, где появляется список драйверов с именами графических устройств. На рабочем ПК этого не произошло, и даже если я вручную создаю каталог /dev/dri, то после ребута он удаляется. Проц QuickSync поддерживает. В логах ничего интересного или подозрительного не нашёл, кроме:

kernel: You have booted with nomodeset. This means your GPU drivers are DISABLED
kernel: Any video related functionality will be severely degraded, and you may not even be able to suspend the system properly
kernel: Unless you actually understand what nomodeset does, you should reboot without enabling it

Убрал этот параметр, загрузился без него(это сообщение больше не появляется), повторил 2 раза установку дров с ребутом, но результата это не дало.

В чём ещё может быть дело? В гугле ничего не нашёл, возможно потому что опыта с Линуксом практически нет и не знаю что именно нужно искать. Может быть есть ещё какие-то параметры, отвечающие за графику, либо ещё какие-то махинации нужно проделать?

 , , ,

Zane ()

Не выставляется разрешение в elementary OS

Недавно установил себе систему elementary OS. До этого долгое время пользовался Ubuntu, она меня во всем устраивает, но захотелось попробовать чего-нибудь новенького. Установка прошла быстро, но при первой загрузке оказалось, что я не могу настраивать разрешение монитора. «Настройка дисплеев» не открывается. Разрешение установлено 640x480. Поменять его я не могу. Немного покопавшись, выяснил, что драйвера Nvidia требуют обновления, жму обновить - выдает ошибку «Failed to install „nvidia-340“, а в деталях написано:

описание ошибки

Error while install package: попытка перезаписать »/lib/udev/rules.d/71-nvidia.rules", который уже имеется в пакете nvidia-kernel-common-440 440.59-0ubuntu0.18.04.1

В системе три пакета nvidia, которые можно обновить, но все они при попытке обновления выдают такую ошибку. Я попробовал запустить систему в одном из предлагаемых при запуске компьютера режимах. Жаль я не документировал, что он там сканировал, но терминал выдал ошибку, связанную с дисплеем, после чего мне предлагалось ее устранить. Я согласился и мне удалось достичь того, что настройка дисплеев все-таки открылась, но там можно выставить разрешение 1024x768, не больше. Драйвера все так же не устанавливались. Я удалил систему и установил ее по новой, внимательно изучая каждый шаг установки - это не помогло.

Файл 71-nvidia.rules удалить не удаляется. В Интернете нет толкового ответа на данный вопрос, но я такой не один. Советы, которые я находил, никакой пользы не принесли.

Как исправить ситуацию? Компьютер Intel Core 2 Quad, 8 Гб ОЗУ, NVIDIA GeForce 450 на 1 Гб, четыре винчестера - два по 500 Гб и два по 1 Тб. Ubuntu на нем летает, фото, видео, музыка, Steam и поддерживаемые игры, все замечательно работает и настраивается, а elementary OS не может нормально заработать.

 , , , ,

Photostalker ()

usb wifi адаптер tenda u9

Здравствуйте. Помогите пожалуйста установить wifi адаптер tenda u9 в kali linux как wlan1. P.s. я знаю что этот wifi адаптер не подтерживается в linux.

 , ,

Tigra322 ()

Подключение внешнего картридера Digma Multi Card Reader & HUB к ноутбуку.

Нужно прочитать данные с Memory Stick PRO Duo. Имеется выше указанный картридер. Ноутбук не видит картридер. Подозреваю что нужны драйвера но не могу их найти.

 , , , ,

FenValera ()

Драйвер radeon hd 8670m для xubuntu 18.04

Добрый день. Никак не могу установить драйвер hd 8670m в xubuntu 18.04 на ноутбуке lenovo thinkpad s540. Дрова от amd ругаются на слишком новый xorg, свободные драйвера (ставил по этой инструкции https://ubuntugeeks.com/questions/275341/how-to-install-amd-graphic-drivers-on-ubuntu-18-04) убивают систему, после перезагрузки она показывает менеджер входа, но не реагирует на мышь и клаву. В рекавери система заходит. Подскажите, пожалуйста, что с этим делать? Может с каких-то дистрибутивах с этой картой все нормально? Очень бы хотелось узнать от других обладателей ноутов с этой картой, как они поставили дрова.

 , ,

bargomi ()

SCX-4100 ArchLinux

Доброго времени суток, имеется очень древний мамонт Samsung SCX-4100 МФУ, как его заставить работать на Arch Linux, желательно полностью сканер тоже нужен )

 , ,

psychedelic74 ()

Зависание после «Reach target Graphical Interface» ... «ERROR: The control display is undefined...»

После автоматической установки проприетарного драйвера nvidia (440 Prime) при запуске компа дохожит до [OK] Reached target Graphical Interface. и все, при вводе комманд связанных с nvidia settings (–glxinfo, например) выдаёт ERROR: Unable to find display on any available system При ручной установке более ранних версий дров, либо они встают, но не работают (за исключением 390 bumblebee - он тоже не работает, но при запуске nvidia-settings просит создать nvidia-xconfig as root, при выполнении данной комманды ничего не происходит, в интернете вроде бы много чего искал, даже с помощью какой-то комманды получилось нормально запустить nvidia-settings, но карту так и не видели приложения) - при установке bumblebee драйверов, либо черный экран (при установке соло драйверов), от которого помагает только снос дров.

Система: Manjaro KDE на Asus X75VC (Nvidia 720M (GF 117M) и ещё интегрированная карта от Intel.

Может кто чем поможет. Инфу пытался искать, т.к. проблем подобных множество, но решений в русскоязычном сегменте на нарыл. А английский плохо знаю. Решения находил, но там как-то сложно, толком комманд нет только что-то очень сложное написано, насколько понял драйвер не включает монитор, хотя тот подключен (ноут как никак) и нужно как-то заставить его включиться.

 , , , ,

radleydark ()

Что ты творишь NVIDIA!!!!!!

Кароч, после переустановки Убунтая(18,04) я установил проприетарные драйвера, все работало отлично. Т.е. установил драйвер, перезагрузил сеанс и glxgears выдавал приятные 8000-9000 фпс. Но затем, похоже после перезагрузки, нужно было перейти к intel, что я и сделал. Но когда хочу перейти к nvidia, что с терминала, что nvidia-settings, переходит отлично, но в glxgears почему-то 60 фпс(?). Я что-то неправильно сделал? Вроде все правильно, драйвер 435,21(Geforce MX130, Ubuntu 18.04)

Кстати, иногда выходит окно с ошибкой, ошибка системная и не описывается, варианты только не отправлять и отправлять справку

 , ,

juubex ()

Подключить Wi-Fi-адаптер к raspberry pi

 С linux я знаком мало, так что могу не знать очевидных для опытных пользователей вещей.

Есть raspberry pi zero v1.3 - версия без встроенного модуля Wi-Fi. Есть usb-модуль Wi-Fi TL-WN727N v5.20. Требуется подключить этот свисток и настроить Wi-Fi на плате.

  1. Устанавливаю ОС Raspbian Buster Lite с офиц. сайта - минимальный функционал, без поддержки графического интерфейса.
  2. Делаю все по готовой инструкции https://habr.com/ru/post/471564/
  3. После сборки и установки драйвера ввожу iwconfig и вижу только:

pi@raspberrypi:~ $ iwconfig

eth0 no wireless extensions.

lo no wireless extensions.

При этом система видит устройство - результат lsusb:

Bus 001 Device 004: ID 2357:0111 TP-Link

Здесь нет интерфейса wlan0, как у автора статьи. Что можно сделать в данной ситуации? У автора статьи свисток версии 5.21, у мена 5.20, но VID/PID у меня такой же, он занесен в драйвер. Чипсет совпадает с чипсетом автора - я проверил.

 , , ,

MaksimIT ()

Драйвер для Wifi карты BCM4313

ОС AstraLinux. Ноутбук Samsung NP305U1A-A05RU (HD)/Black 11.6. Wifi адаптер Broadcom Limited BCM4313 802.11bgn Wireless Network Adapter [14e4:4727] (rev 01). Драйвер: bcma-pci-bridge.

До сегодняшнего дня вай фай работал нормально. Ну как нормально? Тормозил иногда. Но сегодня вообще отказал. iwlist scan - видит все подключения. nmcli device wifi connect Navoo - не подключается. Выдаёт ошибку: «Сбой активации соединения: (53) Не удалось обнаружить сеть Wi-Fi.»

Погуглил, попробовал разное. Осознал что драйвер кривой и нужно установить другой. Скачал с офсайта Бродком проприетарный драйвер, но не знаю как его установить.

В связи с чем вопрос. Надо ли пересобирать ядро Linux для того, чтобы установить этот драйвер, или можно его как-то иначе установить?

Или может быть есть возможность установить драйвер wl без применения интернета?

PS: можно было бы установить драйвер с помощью менеджера пакетов, но он качает всё через интернет, а кроме wifi нет возможности получить интернет, так как на ноуте нет Лан порта.

 , , ,

irokezer58 ()

Установка ОС Эльбрус на базе ядра Linux 4.9

Здравствуйте, форумчане. Помогите советом.

Я решил установить на свой ноутбук ОС Эльбрус на базе ядра Linux. Ноутбук - Samsung NP305U1A-A05RU (HD)/Black 11.6. Процессор - AMD E-450 со встроенной графической картой Radeon 6320.

В системных требованиях операционной системы сказано, что необходим VGA-совместимый видеоинтерфейс.

Установка прошла успешно (не без проблем конечно), а вот графическая оболочка не загружается.

После ввода команды «startx» происходит ошибка:

(II) [KMS] drm report modesetting isn't supported.
(EE)
Fatal server error:
(EE) no screens found(EE)
(EE) 
Please consult the The X.Org Foundation support at http://wiki.x.org for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE)Server terminated with error (1). Closing log file.

Когда набираю «lspci -k» пункт «Display» отсутствует. Зато есть пункт «VGA compatible controller:». Но там вообще отсутствует строка «Kernel driver in use:». То есть, как будто-бы драйвера вовсе нет.

Мучаюсь уже два дня. Перелопатил весь интернет. Помогите пожалуйста советом, как можно решить проблему?

Заранее предупреждаю, что я новичок в Линуксе. Будьте пожалуйста снисходительны)).

Лог ошибки:

https://pastebin.com/aeiZMi12

 , , ,

irokezer58 ()

Отключить вертикальную синхронизацию в Intel.

Имеется в ноутбуке карта X3100 на чписете GM965. Каким образом в ней можно отключить вертикальную синхронизацию?

 , ,

electra2005 ()

Как правильно установить драйвер с гитхаба? Выполняю все по инструкции и лезут ошибки.

Нужно установить драйвер WI-FI ath9k с гитхаба на Debian. Делаю все по этой инструкции https://wiki.debian.org/ath9k_htc/open_firmware и все идет хорошо до команды $ make toolchain после нее жду минут 20 как выполняються процессы в терминале и в конце когда все сделанно, в последних строчках вижу ошибки, дальнейшая установка не получаеться и все последующие команды тоже сопровождаются ошибками. Вот последние строчки с ошибками после выполнения команды $ make toolchain https://b.radikal.ru/b14/1911/fb/a02a4eef29b7.png Что я не так делаю? Не проходите мимо, подскажите.

 , , , ,

MRX256 ()